Issue 11277

Title
Cash change increase debit/credit
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, rmartin, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-02-22.17:06:34 by ced, last changed 3 months ago by roundup-bot.

Messages

New changeset 21c3863a5267 by Cédric Krier in branch 'default':
Use negative debit/credit for cash change
https://hg.tryton.org/tryton-env/rev/21c3863a5267
New changeset 918dc743ec3b by Cédric Krier in branch 'default':
Use negative debit/credit for cash change
https://hg.tryton.org/modules/sale_point/rev/918dc743ec3b
Author: [hidden] (rmartin)
Date: 2022-02-23.15:23:21

As tested, it works fine for sales and returns! The issue may be closed.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-02-22.17:06:34

When returning change, the payment increase the credit but this is a little bit artificial because only the amount of the sale is actually transfered.
So the proposal is to use negative debit/credit when the payment amount has a different sign as the sale total.

History
Date User Action Args
2022-03-26 12:07:23roundup-botsetmessages: + msg74773
2022-03-26 12:07:11roundup-botsetmessages: + msg74772
nosy: + roundup-bot
status: testing -> resolved
2022-02-23 15:23:21rmartinsetmessages: + msg74328
nosy: + rmartin
2022-02-22 17:25:22reviewbotsetmessages: + msg74291
nosy: + reviewbot
2022-02-22 17:07:03cedsetkeyword: + review
reviews: 382021002
status: in-progress -> testing
2022-02-22 17:06:34cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)